<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_easytagcloud
 * @copyright   Copyright (C) 2015 http://www.huangqiprojects.com. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

// Note that there are certain parts of this layout used only when there is exactly one tag.
JHtml::addIncludePath(JPATH_COMPONENT . '/helpers');
$n = $this->total;
$hltag = '<span class="highlight">"'.$this->item->title. '"</span>'; 
?>
<div class="tag-category<?php echo $this->pageclass_sfx; ?>">
	<?php if ($this->params->get('show_page_heading')) : ?>
		<h1>
			<?php echo $this->escape($this->params->get('page_heading')); ?>
		</h1>
	<?php endif; ?>
	    <h2>
		    <?php if ($n == 1) : ?>
		        <?php echo JText::sprintf('COM_EASYTAGCLOUD_TAGGED_ITEM', $hltag); ?>
			    <?php else : ?>
		        <?php echo JText::sprintf('COM_EASYTAGCLOUD_TAGGED_ITEMS', $n, $hltag);?>				
			<?php endif; ?>
	    </h2>
	<?php if ($this->params->get('tag_list_show_tag_description', 1)) : ?>
		<div class="category-desc">
			<?php if ($this->params->get('tag_list_show_tag_description') == 1 && $this->item->description) : ?>
				<?php echo JHtml::_('content.prepare', $this->item->description, '', 'com_easytagcloud.tag'); ?>
			<?php endif; ?>
			<div class="clr"></div>
		</div>
	<?php endif; ?>

	<?php echo $this->loadTemplate('items'); ?>
	<?php if (($this->params->def('show_pagination', 1) == 1 || ($this->params->get('show_pagination') == 2)) && ($this->pagination->get('pages.total') > 1)) : ?>
		<div class="pagination">
			<?php if ($this->params->def('show_pagination_results', 1)) : ?>
				<p class="counter pull-right"> <?php echo $this->pagination->getPagesCounter(); ?> </p>
			<?php endif; ?>
			<?php echo $this->pagination->getPagesLinks(); ?>
		</div>
	<?php endif; ?>
	<p style="text-align: center;"><img src="<?php echo JURI::root(true); ?>/media/com_easytagcloud/qi.png" width="16px" height="16px" title="Qi Projects" style="margin-right:5px;"/><a href="http://www.huangqiprojects.com" target="_blank" title="EasyTagcloud v2.8">EasyTagCloud v2.8</a></p>
</div>
