<?php

/**
 * @version     2.8
 * @package     com_easytagcloud
 * @copyright   Copyright(C)2015 Qi Projects. All rights reserved.
 * @license     GNU/GPL, see LICENSE.php
 * @author      Qi <huangqi@vip.163.com> - http://www.huangqiprojects.com
 */
// No direct access
defined('_JEXEC') or die;

class EasytagcloudController extends JControllerLegacy {

    /**
     * Method to display a view.
     *
     * @param	boolean			$cachable	If true, the view output will be cached
     * @param	array			$urlparams	An array of safe url parameters and their variable types, for valid values see {@link JFilterInput::clean()}.
     *
     * @return	JController		This object to support chaining.
     * @since	1.5
     */
    public function display($cachable = false, $urlparams = false) {
        $view = JFactory::getApplication()->input->getCmd('view', 'easytagcloud');
        JFactory::getApplication()->input->set('view', $view);

        parent::display($cachable, $urlparams);

        return $this;
    }

}
